Download it now!
Bug 133931 - KDE5/QT5 VCL & dark theme: Calc: every other function name in Function Wizard list is unreadable
Summary: KDE5/QT5 VCL & dark theme: Calc: every other function name in Function Wizard...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: implementationError
Depends on:
Blocks: KDE UI-Theming
  Show dependency treegraph
 
Reported: 2020-06-12 13:41 UTC by Mihkel Tõnnov
Modified: 2020-10-20 10:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot from KDE showing Function Wizard unreadable entries (72.70 KB, image/png)
2020-06-12 13:41 UTC, Mihkel Tõnnov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2020-06-12 13:41:27 UTC
Created attachment 161922 [details]
Screenshot from KDE showing Function Wizard unreadable entries

When using Breeze Dark theme in KDE5, the Function Wizard in Calc has every other entry shown with white-on-white (see screenshot). Same happens with QT5 VCL plugin (but not with GTK3 plugin, where every entry has the same dark background).

IIRC this has been like this ever since the inclusion of KDE5 VCL plugin - but I can currently only confirm it from 6.3 onwards.
Comment 1 Buovjaga 2020-10-19 12:55:39 UTC
Repro. At first I forgot that you have to go into the Colors system setting - changing Plasma theme is not enough.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: ccdb78773ac6c9d19140e8084f37cc2c7f06240e
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 18 October 2020
Comment 2 Jan-Marek Glogowski 2020-10-19 19:02:12 UTC
Gtk is actually "wrong", or better said, it ignores the gtk_tree_view_set_rules_hint, as this is handled in Gtk as a semantic hint (https://developer.gnome.org/gtk3/stable/GtkTreeView.html#gtk-tree-view-set-rules-hint). 

For whatever reason you can't even set that color currently, so it's always the same "light gray" and in dark mode these rows become almost white. Patch pending for Qt: https://gerrit.libreoffice.org/c/core/+/104540
Comment 3 Commit Notification 2020-10-20 06:09:06 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0839bfaf75d3a1bc78b63c71f28a763b1b39f979

tdf#133931 Qt5 set the themed AlternatingRowColor

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-10-20 10:46:55 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/0904fd7db170c8785d665172a71a7ac687670948

tdf#133931 Qt5 set the themed AlternatingRowColor

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.